#!/usr/bin/python
# -*- coding: utf-8 -*-
import fcntl, socket, struct,os


def getHwAddr(ifname):
    s = socket.socket(socket.AF_INET, socket.SOCK_DGRAM)
    info = fcntl.ioctl(s.fileno(), 0x8927,  struct.pack('256s', ifname[:15]))
    return ''.join(['%02x:' % ord(char) for char in info[18:24]])[:-1]

mac_address = getHwAddr('eth0')


mappings = open('/etc/tis/screen-size.conf')
for mapping in mappings:
	if mac_address == mapping.split(';')[0].strip():
		cmd = "xrandr -s " + mapping.split(';')[1].strip()
		print cmd
		os.system(cmd)

